Package Details: mpd-dsd 0.19.21-1

Git Clone URL: https://aur.archlinux.org/mpd-dsd.git (read-only, click to copy)
Package Base: mpd-dsd
Description: Flexible, powerful, server-side application for playing music with DSD patches and Sox enabled
Upstream URL: https://github.com/lintweaker/mpd-dsd-019
Keywords: audio dsd mpd player
Licenses: GPL
Conflicts: mpd
Submitter: blackhole
Maintainer: None
Last Packager: blackhole
Votes: 5
Popularity: 0.012508
First Submitted: 2015-10-30 12:54 (UTC)
Last Updated: 2017-08-20 10:44 (UTC)

Latest Comments

blackhole commented on 2017-02-14 22:58 (UTC)

Updated to 0.19.19

blackhole commented on 2016-08-16 14:36 (UTC)

Updated to 0.19.17

cmc commented on 2016-08-16 11:49 (UTC)

'uint8_t' was not declared in this scope Applying this patch from Debian in the build process works. https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=822401

blackhole commented on 2016-03-31 09:44 (UTC)

New patch extends native DSD support for MPD 0.19.14 and contains a workaround for hangs at the end of certain DSD DFF files.

surf.bluecrab commented on 2016-01-03 06:29 (UTC)

Finally working! Thank you :)

blackhole commented on 2016-01-02 08:27 (UTC)

I have made some changes in the PKGBUILD. I hope now it is working for you

surf.bluecrab commented on 2016-01-02 06:05 (UTC)

I still have trouble installing it, is it working on your machine? I would really like to get this patch, it contains sources from Maxim Anisiutkin who made the wonderful DSD plugin for foobar. Unfortunately I can't get it to install. I use pacaur for installation. I get the output: ==> Verifying source file signatures with gpg... mpd-0.19.11.tar.xz ... Passed :: Building mpd-dsd package(s)... ==> Making package: mpd-dsd 0.19.11-1 (Sat Jan 2 02:00:28 AST 2016) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Retrieving sources... -> Found mpd-0.19.11.tar.xz -> Found mpd-0.19.11.tar.xz.sig -> Found tmpfiles.d -> Found conf ==> Validating source files with sha1sums... mpd-0.19.11.tar.xz ... Skipped mpd-0.19.11.tar.xz.sig ... Skipped tmpfiles.d ... Skipped conf ... Skipped ==> Verifying source file signatures with gpg... mpd-0.19.11.tar.xz ... Passed ==> Extracting sources... -> Extracting mpd-0.19.11.tar.xz with bsdtar ==> Starting prepare()... patch: **** Can't open patch file ../../0001-Add-native-DSD-support-to-MPD-0.19.11.patch : No such file or directory ==> ERROR: A failure occurred in prepare(). Aborting... :: Installing mpd-dsd package(s)... :: failed to build mpd-dsd package(s)

blackhole commented on 2015-12-23 09:12 (UTC)

Updated to version 0.19.11 Now it should work. For DST decompression you shuld ask here https://github.com/lintweaker/mpd-dsd-019

surf.bluecrab commented on 2015-12-23 06:39 (UTC) (edited on 2015-12-23 06:42 (UTC) by surf.bluecrab)

Got error: ==> Validating source files with sha1sums... mpd-0.19.10.tar.xz ... Skipped mpd-0.19.10.tar.xz.sig ... Skipped tmpfiles.d ... Skipped conf ... Skipped ==> Verifying source file signatures with gpg... mpd-0.19.10.tar.xz ... Passed ==> Extracting sources... -> Extracting mpd-0.19.10.tar.xz with bsdtar ==> Starting prepare()... patch: **** Can't open patch file ../../0001-Add-native-DSD-support-to-MPD-0.19.10.patch : No such file or directory ==> ERROR: A failure occurred in prepare(). Aborting... :: Installing mpd-dsd package(s)... :: failed to build mpd-dsd package(s) Anyone knows if it has support for DST decompression?

blackhole commented on 2015-10-31 12:31 (UTC)

This is version 0.19.10 with DSD patches https://github.com/lintweaker/mpd-dsd-019

blackhole commented on 2015-10-31 00:41 (UTC)

Remember to add key (as user) gpg --recv-key 236E8A58C6DB4512